#include "memory.h"
#include <assert.h>

typedef struct dummyComp {
    unsigned int num;
}dummyComp;
DEFINE_COMPONENT_HEADERS(dummy, 0, dummyComp)

DEFINE_COMP_MEMPOOL_BUF(dummyComp, 16)

#define USER_N_COMPONENTS 1
BEGIN_DEFINE_COMP_MEMPOOL
ADD_COMP_MEMPOOL(dummy, dummyComp)
END_DEFINE_COMP_MEMPOOL


int main(void) {
    init_memory_system();
    STATIC_ASSERT_COMP_POOL;

    print_memory_info();
    unsigned int idx = 0;
    dummyComp* comp = new_component_dummy(&idx);
    assert(comp != NULL);
    print_memory_info();
    dummyComp* getcomp = get_component_dummy(idx);
    assert(getcomp == comp);
    free_component_dummy(idx);
    print_memory_info();
    free_memory_system();
}
